Runtime

## org.eclipse.gmf.runtime.common.core.util
Class FileCopyUtil

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.FileCopyUtil

    public class FileCopyUtil

extends java.lang.Object

Utility class for copying files and folders

Method Summary
`static void` `copyFile(java.lang.String sourceFile, java.lang.String targetFolder)` Copies a source file to a target folder
`static void` `copyFile(java.lang.String sourceFolder, java.lang.String targetFolder, java.lang.String sourceName, java.lang.String targetName)` Copies a file in a source folder to a target folder
`static void` `copyFolder(java.lang.String sourceFolder, java.lang.String targetFolder)` Copies the contents of a source folder to a target folder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### copyFolder

    public static void copyFolder(java.lang.String sourceFolder,
                                  java.lang.String targetFolder)
                           throws java.io.FileNotFoundException,
                                  java.io.IOException

  Copies the contents of a source folder to a target folder

  Parameters:
    `sourceFolder` - the source folder
    `targetFolder` - the target folder
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### copyFile

    public static void copyFile(java.lang.String sourceFile,
                                java.lang.String targetFolder)
                         throws java.io.FileNotFoundException,
                                java.io.IOException

  Copies a source file to a target folder

  Parameters:
    `sourceFile` - the source file
    `targetFolder` - the target folder
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### copyFile

    public static void copyFile(java.lang.String sourceFolder,
                                java.lang.String targetFolder,
                                java.lang.String sourceName,
                                java.lang.String targetName)
                         throws java.io.FileNotFoundException,
                                java.io.IOException

  Copies a file in a source folder to a target folder

  Parameters:
    `sourceFolder` - the source folder
    `targetFolder` - the target folder
    `sourceName` - of the source file to copy
    `targetName` - of the destination file to copy to
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.